List Evaluations
curl --request GET \
--url https://api.primeintellect.ai/api/v1/evaluations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/evaluations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/evaluations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluations": [
{
"evaluation_id": "<string>",
"name": "<string>",
"status": "PENDING",
"eval_type": "suite",
"total_samples": 123,
"created_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"team_id": "<string>",
"environment_ids": [
"<string>"
],
"environment_names": [
"<string>"
],
"suite_id": "<string>",
"run_id": "<string>",
"version_id": "<string>",
"has_rollout_errors": false,
"is_hosted": false,
"sandbox_id": "<string>",
"inference_model": "<string>",
"eval_config": {},
"error_message": "<string>",
"logs": "<string>",
"model_name": "<string>",
"dataset": "<string>",
"framework": "<string>",
"task_type": "<string>",
"description": "<string>",
"tags": [],
"avg_score": 123,
"min_score": 123,
"max_score": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"metrics": {},
"viewer_url": "<string>",
"is_public": false,
"show_on_leaderboard": false,
"statistics": {},
"chartData": {},
"rubricInfo": {},
"detailedMetrics": {},
"rewardStats": {}
}
],
"total": 123,
"skip": 123,
"limit": 123
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}evals
List Evaluations
Get a list of evaluations owned by the authenticated user or a team.
Without team_id, returns the user’s personal evaluations only. With team_id, returns that team’s evaluations; the user must be a member.
GET
/
api
/
v1
/
evaluations
/
List Evaluations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by specific team ID
Filter by environment ID
Filter by environment name
Filter by suite ID
Filter by one or more creator user IDs. Without team_id, only the authenticated user's personal evaluations can match.
Required range:
x >= 0Required range:
1 <= x <= 100Was this page helpful?